
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>GitLab CI &#8212; Jupyter Data Analysis Support for iAMB</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" href="_static/styles/sphinx-book-theme.css?digest=5115cc725059bd94278eecd172e13a965bf8f5a9" type="text/css" />
    <link rel="stylesheet" type="text/css" href="_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="_static/design-style.b7bb847fb20b106c3d81b95245e65545.min.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/clipboard.min.js"></script>
    <script src="_static/copybutton.js"></script>
    <script src="_static/scripts/sphinx-book-theme.js?digest=9c920249402e914e316237a7dbc6769907cce411"></script>
    <script>let toggleHintShow = 'Click to show';</script>
    <script>let toggleHintHide = 'Click to hide';</script>
    <script>let toggleOpenOnPrint = 'true';</script>
    <script src="_static/togglebutton.js"></script>
    <script>var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="_static/design-tabs.js"></script>
    <script>const THEBE_JS_URL = "https://unpkg.com/thebe@0.8.2/lib/index.js"
const thebe_selector = ".thebe,.cell"
const thebe_selector_input = "pre"
const thebe_selector_output = ".output, .cell_output"
</script>
    <script async="async" src="_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="index.html">
      
        <!-- `logo` is deprecated in Sphinx 4.0, so remove this when we stop supporting 3 -->
        
      
      
      <img src="_static/JUDAS+iAMB+RWTH_Logo.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">Jupyter Data Analysis Support for iAMB</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search this book..." aria-label="Search this book..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        
        <ul class="nav bd-sidenav bd-sidenav__home-link">
            <li class="toctree-l1">
                <a class="reference internal" href="intro.html">
                    Welcome to your Jupyter Book
                </a>
            </li>
        </ul>
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="markdown.html">
   Markdown Files
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="notebooks.html">
   Content with notebooks
  </a>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-repository-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Source repositories">
      <i class="fab fa-github"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="https://git.rwth-aachen.de/ulf.liebal/JUDAS-Docs"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Source repository"
>
  

<span class="headerbtn__icon-container">
  <i class="fab fa-github"></i>
  </span>
<span class="headerbtn__text-container">repository</span>
</a>

      </li>
      
      <li>
        <a href="https://git.rwth-aachen.de/ulf.liebal/JUDAS-Docs/issues/new?title=Issue%20on%20page%20%2FREADME.html&body=Your%20issue%20content%20here."
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Open an issue"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-lightbulb"></i>
  </span>
<span class="headerbtn__text-container">open issue</span>
</a>

      </li>
      
    </ul>
  </div>
</div>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="_sources/README.md"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.md</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#">
   GitLab CI
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#building-locally">
   Building locally
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#gitlab-user-or-group-pages">
   GitLab User or Group Pages
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#did-you-fork-this-project">
   Did you fork this project?
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#troubleshooting">
   Troubleshooting
  </a>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>GitLab CI</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#">
   GitLab CI
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#building-locally">
   Building locally
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#gitlab-user-or-group-pages">
   GitLab User or Group Pages
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#did-you-fork-this-project">
   Did you fork this project?
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#troubleshooting">
   Troubleshooting
  </a>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <p>Example Jupyter Book website using GitLab Pages.</p>
<p>Learn more about GitLab Pages at <a class="reference external" href="https://about.gitlab.com/stages-devops-lifecycle/pages/">https://about.gitlab.com/stages-devops-lifecycle/pages/</a> and the official
documentation <a class="reference external" href="https://docs.gitlab.com/ce/user/project/pages/">https://docs.gitlab.com/ce/user/project/pages/</a>.</p>
<hr class="docutils" />
<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
<p><strong>Table of Contents</strong>  <em>generated with <a class="reference external" href="https://github.com/thlorenz/doctoc">DocToc</a></em></p>
<ul class="simple">
<li><p><a class="reference external" href="#gitlab-ci">GitLab CI</a></p></li>
<li><p><a class="reference external" href="#building-locally">Building locally</a></p></li>
<li><p><a class="reference external" href="#gitlab-user-or-group-pages">GitLab User or Group Pages</a></p></li>
<li><p><a class="reference external" href="#did-you-fork-this-project">Did you fork this project?</a></p></li>
<li><p><a class="reference external" href="#troubleshooting">Troubleshooting</a></p></li>
</ul>
<!-- END doctoc generated TOC please keep comment here to allow auto update -->
<section id="gitlab-ci">
<h1>GitLab CI<a class="headerlink" href="#gitlab-ci" title="Permalink to this headline">#</a></h1>
<p>This project’s static Pages are built by <a class="reference external" href="https://about.gitlab.com/gitlab-ci/">GitLab CI/CD</a>, following the steps
defined in <span class="xref myst"><code class="docutils literal notranslate"><span class="pre">.gitlab-ci.yml</span></code></span>:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span><span class="c1"># Full project: https://gitlab.com/pages/jupyterbook</span>

stages:
<span class="w">  </span>-<span class="w"> </span>build
<span class="w">  </span>-<span class="w"> </span>deploy

jupyter-build:
<span class="w">  </span>stage:<span class="w"> </span>build
<span class="w">  </span>image:<span class="w"> </span>python:slim
<span class="w">  </span>script:
<span class="w">    </span>-<span class="w"> </span>pip<span class="w"> </span>install<span class="w"> </span>-U<span class="w"> </span>jupyter-book
<span class="w">    </span>-<span class="w"> </span>jupyter-book<span class="w"> </span>clean<span class="w"> </span>.
<span class="w">    </span>-<span class="w"> </span>jupyter-book<span class="w"> </span>build<span class="w"> </span>.
<span class="w">  </span>artifacts:
<span class="w">    </span>paths:
<span class="w">      </span>-<span class="w"> </span>_build/

pages:
<span class="w">  </span>stage:<span class="w"> </span>deploy
<span class="w">  </span>image:<span class="w"> </span>busybox:latest
<span class="w">  </span>script:
<span class="w">    </span>-<span class="w"> </span>mv<span class="w"> </span>_build/html<span class="w"> </span>public
<span class="w">  </span>artifacts:
<span class="w">    </span>paths:
<span class="w">      </span>-<span class="w"> </span>public
<span class="w">  </span>rules:
<span class="w">    </span>-<span class="w"> </span><span class="k">if</span>:<span class="w"> </span><span class="nv">$CI_COMMIT_BRANCH</span><span class="w"> </span><span class="o">==</span><span class="w"> </span><span class="nv">$CI_DEFAULT_BRANCH</span>
</pre></div>
</div>
</section>
<section id="building-locally">
<h1>Building locally<a class="headerlink" href="#building-locally" title="Permalink to this headline">#</a></h1>
<p>To work locally with this project, you’ll have to follow the steps below:</p>
<ol class="simple">
<li><p><a class="reference external" href="https://jupyter.org/install">Install JupyterLab</a> JupyterLab</p></li>
<li><p><a class="reference external" href="https://jupyterbook.org/start/overview.html#install-jupyter-book">Install Jupyter Book</a></p></li>
<li><p>Fork, clone or download this project</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">cd</span> <span class="pre">jupyter-book-example</span></code> – the repository contains already an example of a
book’s source files, as described at <a class="reference external" href="https://jupyterbook.org/start/create.html#create-your-books-source-files">Jupyter Book &gt; Create your book’s source files</a></p></li>
<li><p>Work on it… see for example <a class="reference external" href="https://jupyterbook.org/basics/organize.html">Jupyter Book &gt; Structure and organize your content</a></p></li>
<li><p>Make a commit</p></li>
<li><p>See the book published online at</p></li>
</ol>
<p>Read more at Jupyter Book’s <a class="reference external" href="https://jupyterbook.org/intro.html">Introduction</a>.</p>
</section>
<section id="gitlab-user-or-group-pages">
<h1>GitLab User or Group Pages<a class="headerlink" href="#gitlab-user-or-group-pages" title="Permalink to this headline">#</a></h1>
<p>To use this project as your user/group website, you will need one additional
step: just rename your project to <code class="docutils literal notranslate"><span class="pre">namespace.gitlab.io</span></code>, where <code class="docutils literal notranslate"><span class="pre">namespace</span></code> is
your <code class="docutils literal notranslate"><span class="pre">username</span></code> or <code class="docutils literal notranslate"><span class="pre">groupname</span></code>. This can be done by navigating to your
project’s <strong>Settings</strong>.</p>
</section>
<section id="did-you-fork-this-project">
<h1>Did you fork this project?<a class="headerlink" href="#did-you-fork-this-project" title="Permalink to this headline">#</a></h1>
<p>If you forked this project for your own use, please go to your project’s
<strong>Settings</strong> and remove the forking relationship, which won’t be necessary
unless you want to contribute back to the upstream project.</p>
</section>
<section id="troubleshooting">
<h1>Troubleshooting<a class="headerlink" href="#troubleshooting" title="Permalink to this headline">#</a></h1>
<ol>
<li><p>CSS is missing! That means two things:</p>
<p>Either that you have wrongly set up the CSS URL in your templates, or
your static generator has a configuration option that needs to be explicitly
set in order to serve static assets under a relative URL.</p>
</li>
</ol>
<hr class="docutils" />
<p>Forked from &#64;NikosAlexandris – Thank you &#64;stingrayza</p>
</section>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "python"
        },
        kernelOptions: {
            name: "python3",
            path: "./."
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'python3'</script>

              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Ulf Liebal<br/>
  
      &copy; Copyright 2022.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>